%define upstream_name    Hash-MultiValue
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Store multiple values per key
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Hash::MultiValue is an object (and a plain hash reference) that may contain
multiple values per key, inspired by MultiDict of WebOb.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 527043
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439413
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 368382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 315099
- update to 0.13

* Thu Feb 23 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 212963
- update to 0.12

* Mon Sep 26 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 148099
- update to 0.10

* Mon Jun 20 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 110556
- imported package perl-Hash-MultiValue


* Mon Jun 20 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
